package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class Tag26ECreator  extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public Tag26ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag26EValue = mt767Creator.getNumberOfAmendmentOfB();
        mt767Creator.set("26E", tag26EValue);
    }
}

